Package: org.codehaus.groovy.ast.stmt

## [Java] Class Statement

- org.codehaus.groovy.ast.stmt.Statement

-     public class Statement
      extends ASTNode

  Base class for any statement.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addStatementLabel(String label)`
    `` | `public void` | `copyStatementLabels(Statement that)`
    `` | `public String` | `getStatementLabel()`
    `` | `public List<String>` | `getStatementLabels()`
    `` | `public boolean` | `isEmpty()`
    `` | `public void` | `setStatementLabel(String label)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Method Detail

    - #### public void addStatementLabel(String label)

    - #### public void copyStatementLabels(Statement that)

    - #### @Deprecated
      public String getStatementLabel()

    - #### public List<String> getStatementLabels()

    - #### public boolean isEmpty()

    - #### public void setStatementLabel(String label)